# HG changeset patch
# Parent 54dd5bb6bc7850e572673cb219aa83d62305b467
qnew

diff --git a/Gemfile b/Gemfile
--- a/Gemfile
+++ b/Gemfile
@@ -17,6 +17,16 @@ group :test do
   gem 'edavis10-object_daddy', :require => 'object_daddy'
   gem 'mocha'
   gem 'capybara'
+
+  # cannot install on mingw due to fail installing linecache with native extensions
+  platforms :mri_18 do gem 'ruby-debug' end
+  platforms :mri_19 do
+    # http://stackoverflow.com/questions/8251349/ruby-threadptr-data-type-error
+    # gem 'ruby-debug19', :require => 'ruby-debug'
+    gem 'linecache19', :git => 'git://github.com/mark-moseley/linecache'
+    gem 'ruby-debug-base19x', '~> 0.11.30.pre4'
+    gem 'ruby-debug19'
+  end
 end
 
 group :ldap do
@@ -108,4 +118,4 @@ end
     puts "Loading #{file} ..." if $DEBUG # `ruby -d` or `bundle -v`
     instance_eval File.read(file)
   end
-end
\ No newline at end of file
+end
